Upgrade 9.0.1 to 9.0.3


#1

I’m currently running OpenVAS Greenbone, version 9.0.1.
After updating my feeds this week, it notes a critical error for every host I scan.
[Report outdated Scan Engine / Environment (local)]
Installed GVM version: 9.0.1
Latest available GVM version: 9.0.3
Reference URL: GVM-9 (old stable, initial release 2017-03-07)
I’m running Debian. Is there documentation anywhere on how to upgrade from 9.0.1 to 9.0.3?


#2

Hi,

I don’t know where you got the 9.0.1 version from. Debian stable has OpenVAS 8 and testing seems to provide OpenVAS 9.0.3 already. So either your problem has just being resolved or you have to check your package sources. If this doesn’t fix your issue please create a bug report for the debian packagers.


#3

I performed a package download and install manually - Is there a Debain package install?
Where would I find documentation on how to install it?
After I run apt-get install openvas, it runs through a download and install process, but there’s not openvas-setup script anywhere


#4

Personally I can’t help you with the Debian specific setup. If you want to test GVM you could try the Greenbone Community Edition

https://www.greenbone.net/en/community-edition/


#5

Hi Edmond, i have the very same problem.
I had to install packages manually cause no openvas-setup were install.

Do you succes to upgrade the scan engine to 9.0.3?


#6

I was never able to successfully fix this issue. It’s inexcusable for “security software” to be broken by security patches and vulnerability fixes.
I’ve had enough of pain and problems from broken open source community ware.
I purchased Nessus security Scanner. It just works. The upgrades and updates just work.
I no longer use Greenbone.
My time has value. Squandering it chasing unfix-able demons destroys the value of “open source” community software.


#7

Hi,

I am sorry you had this experience. You could have tested the https://www.greenbone.net/en/community-edition/ virtual appliance before. Alternatively we provide several enterprise appliances coming with support.

Please be aware Greenbone does not provide any package for a linux distribution and therefore is not responsible for your bad experience.